Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
draftsman38751

[Yêu cầu]Lisp di chuyển text của dim

Các bài được khuyến nghị

phamthanhbinh    3.123
Hic, cho em sory 2 bác phamthanhbinh ketxu nhé vì không post bản vẽ lên. File bản vẽ của em đây ah: http://www.cadviet.c...nh_do_tnm_2.rar Em hứa sẽ bắt đầu học lisp để có thể.....lại được chào hỏi các bác nhiều hơn. :D. Hic, mấy câu lệnh với code để viết lisp là e dốt lém ah. Yêu cầu em nêu ra vẫn là: không cần thêm bớt gì nữa cũng như không phải thao tác trên excel nữa bác ah, mà dùng lisp để thao tác trực tiếp trên cad để cho ra được tổng của các số sau chữ L trong chuỗi text có dạng: D600,L40

Hề hề hề,

Bạn dùng thủ cái này xem đã đúng ý chưa nhé.


(defun c:tko ( / sst L DK n els )
(command "undo" "be")
(setq sst (acet-ss-to-list (ssget (list (cons 0 "text") (cons 8 "chu_thich")))))
(setq L 0)
(setq DK (getstring "\n Nhap loai ong can tinh tong chieu dai: ")
         n (strlen DK))
(foreach en sst
(setq els (entget en))
(cond
     ((= (substr (cdr (assoc 1 els)) 1 n)  DK)
       (setq L (+ L  (atof (substr (cdr (assoc 1 els)) (+ n 3))))) )  

     (T nil)
)
)
(alert (strcat "\n Tong chieu dai ong duong kinh " DK " la: "  (rtos L 2 2) "m")) 
(if (= (strcase (getstring "\n Ban muon chon text ghi ket qua <y or n>: ")) "Y")
    (progn
    (setq els (entget (car (entsel "\n Chon text can thay the "))))      
    (entmod (subst (cons 1 (rtos L 2 2)) (assoc 1 els) els))
    )
)       
(command "undo" "e")
(princ)
)

Hề hề hề, nếu chưa đúng thì chớ có giận. hãy post chỗ chưa đúng lên.

Chỉnh sửa theo phamthanhbinh
Bổ sung phần chọn tẽt ghi kết quả.
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
camlkdvk    0

Ồ, mình cứ tếu táo vậy thôi. Dạo này bận quá, lên đâm chọt 1 2 câu rồi lại té, k có thời gian đọc kỹ bài của mọi người ^^

Lisp dịch chuyển text dim theo vecto, lệnh mtd :

http://www.cadviet.com/upfiles/3/24067_mtd_dich_chuyen_text_dim.rar

Lisp của bác ketxu rất hay nhưng em nhờ bác sửa thêm chút như sau:

 - khi kéo text dim dịch lên trên thì nó di chuyển 1 khoảng bằng 1.5 lần chiều cao text

 - khi kéo text dim dịch xuống dưới thì nó di chuyển 1 khoảng bằng 2 lần chiều cao text

làm được như vậy sẽ nhanh và nhìn bản vẽ chuyên nghiệp hơn, thanks bác trước!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×